Skip to content

Commit

Permalink
Update distro tests
Browse files Browse the repository at this point in the history
  • Loading branch information
koalaman committed Nov 7, 2021
1 parent bcca66e commit 71f1db6
Show file tree
Hide file tree
Showing 2 changed files with 8 additions and 7 deletions.
10 changes: 5 additions & 5 deletions test/distrotest
Original file line number Diff line number Diff line change
Expand Up @@ -64,13 +64,13 @@ ubuntu:latest apt-get update && apt-get install -y cabal-install
haskell:latest true
opensuse/leap:latest zypper install -y cabal-install ghc
fedora:latest dnf install -y cabal-install ghc-template-haskell-devel findutils
archlinux/base:latest pacman -S -y --noconfirm cabal-install ghc-static base-devel
archlinux:latest pacman -S -y --noconfirm cabal-install ghc-static base-devel
# Other versions we want to support
ubuntu:18.04 apt-get update && apt-get install -y cabal-install
# Ubuntu LTS
ubuntu:20.04 apt-get update && apt-get install -y cabal-install
# Misc Haskell including current and latest Stack build
ubuntu:18.04 set -e; apt-get update && apt-get install -y curl && curl -sSL https://get.haskellstack.org/ | sh -s - -f && cd /mnt && exec test/stacktest
# Stack on Ubuntu LTS
ubuntu:20.04 set -e; apt-get update && apt-get install -y curl && curl -sSL https://get.haskellstack.org/ | sh -s - -f && cd /mnt && exec test/stacktest
EOF

exit "$final"
5 changes: 3 additions & 2 deletions test/stacktest
Original file line number Diff line number Diff line change
Expand Up @@ -18,10 +18,11 @@ command -v stack ||
stack setup || die "Failed to setup with default resolver"
stack build --test || die "Failed to build/test with default resolver"

# Nice to haves, but not necessary
for resolver in "${resolvers[@]}"
do
stack --resolver="$resolver" setup || die "Failed to setup $resolver"
stack --resolver="$resolver" build --test || die "Failed build/test with $resolver!"
stack --resolver="$resolver" setup || die "Failed to setup $resolver. This probably doesn't matter."
stack --resolver="$resolver" build --test || die "Failed build/test with $resolver! This probably doesn't matter."
done

echo "Success"

0 comments on commit 71f1db6

Please sign in to comment.